You're reading version 2024-06-01, which is not the latest. The latest is 2025-01-01: see this page in 2025-01-01.
Initiate collection
Initiate an insurance data collection for a given individual based on the CollectionRequestInput with the specified login method.
Request
Header Parameters
The API version to use, as YYYY-MM-DD. Must match the version of the endpoint you are targeting. A request without it, or with a version older than the client's minimum API version, is served by the client's minimum API version.
2024-06-01.Request Body
The name of the company to trigger the collection from
A set of consents provided by the end user.
Key-value object specifying additional input required for the collection. What values should be included depends on context.Possible keys are SWEDISH_PERSONAL_NUMBER, NORWEGIAN_PERSONAL_NUMBER, NORWEGIAN_PHONE_NUMBER,USERNAME, PASSWORD, LASTNAME, ACCOUNT_OWNER_NAME.
Login method that will be used to authenticate the user. Available login methods for a company is specified in the /companies/availability response.
DANISH_NEMID, DANISH_MITID, DANISH_MITID_SAME_DEVICE, ESTONIAN_MOBILE_ID, ESTONIAN_SMART_ID, ESTONIAN_MOBILE_ID_USERNAME, ESTONIAN_SMART_ID_USERNAME, LATVIAN_MOBILE_EPARAKSTS, LATVIAN_SMART_ID, LATVIAN_MOBILE_EPARAKSTS_USERNAME, LATVIAN_SMART_ID_USERNAME, LITHUANIAN_SMART_ID, LITHUANIAN_MOBILE_ID, LITHUANIAN_SMART_ID_USERNAME, LITHUANIAN_MOBILE_ID_USERNAME, SMART_ID_SAME_DEVICE, SMART_ID_OTHER_DEVICE, SMART_ID_USERNAME_SAME_DEVICE, SMART_ID_USERNAME_OTHER_DEVICE, NORWEGIAN_BANKID_ON_MOBILE, NORWEGIAN_BANKID_ON_MOBILE_FULL_PERSONAL_NUMBER, SWEDISH_MOBILE_BANKID_OTHER_DEVICE, SWEDISH_MOBILE_BANKID_OTHER_DEVICE_MOCK, SWEDISH_MOBILE_BANKID_SAME_DEVICE, SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION, SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION_MOCK, SWEDISH_MOBILE_BANKID_OTHER_DEVICE_TEST, SWEDISH_MOBILE_BANKID_SAME_DEVICE_TEST, SWEDISH_SECURITY_TOKEN, UK_DOB_USERNAME_PASSWORD, UK_LASTNAME_MEMBERSHIP_NUMBER, UK_USERNAME_POSTCODE, USERNAME_AND_PASSWORD, EMAIL, PDF_UPLOAD, GERMAN_EID, AUTHENTICATION_APP_URL, MANUAL_SELECT or API_KEY.Responses
Data collection successfully initiated.
Body
Beta feature, will only be populated for select companies. This feature is intended to preview data during the collection process. Please refer to the data endpoint as the source of truth for collected data.
Company that this collection is from
The UUID of the external user this collection belongs to, when it is linked to one (null otherwise). Can be used to build a Hub deep-link of the form /collections/user/{externalUserUuid}.
A key-value map containing potential extra information, depending on the company the collection is getting data from.
The collection ID of the request
The recommended interval in milliseconds at which to poll the /status endpoint for a collection. The endpoint can be polled less often, but latest by the value indicated by pollingTimeout to ensure that the collection is not terminated.
The collection status must be polled before this timestamp. Failure to do so may result in the termination of the collection.
Current status of the collection.
RUNNING, LOGIN, CUSTOMER_ENROLLMENT_CHECK, TWO_FACTOR_PENDING, TWO_FACTOR_METHOD_SELECTION_TIMEOUT, CONTACT_FORM_PENDING, COLLECTION_INPUT_PENDING, COLLECTION_INPUT_TIMEOUT, COLLECTING, COMPLETED, COMPLETED_PARTIAL, COMPLETED_EMPTY, FAILED, FAILED_PDF_PARSE, FAILED_PDF_USER_INPUT, AUTHENTICATION_TIMEOUT, WAITING_FOR_USER_ACTION, INCORRECT_CREDENTIALS, AUTHENTICATION_CANCELLED, AUTHENTICATION_CONFLICT, ACCOUNT_TEMPORARILY_LOCKED, AUTHENTICATION_MISMATCH, KYC_FORM, CONTACT_FORM, CUSTOMER_ENROLLMENT_REQUIRED or THIRD_PARTY_ERROR.curl https://api.insurely.com/insurance/collection \
-H "client-id: <client-id>" \
-H "Insurely-Version: 2024-06-01" \
-H "Content-Type: application/json" \
-d '{
"company": "se-lansforsakringar",
"consents": [
{
"type": "TRADE_UNION_MEMBERSHIP"
}
],
"filter": {
"rules": []
},
"input": {
"SWEDISH_PERSONAL_NUMBER": "192101010101"
},
"loginMethod": "SWEDISH_MOBILE_BANKID_OTHER_DEVICE"
}' \
-X POST